From 3f67df32bfeb1df1353845f9c09a5275fdcdf246 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 16 Oct 2014 14:07:34 -0400
Subject: [PATCH] [base-files] /lib/netifd/dhcp.script - only call firewall,
 if installed

[base-files] /lib/netifd/dhcp.script - only call firewall, if installed

we dont use fw3, so i was wondering about error-messages in syslog
about fw3. check if 'fw3' is in place, before calling it.

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/network/config/netifd/files/lib/netifd/dhcp.script |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/package/network/config/netifd/files/lib/netifd/dhcp.script b/package/network/config/netifd/files/lib/netifd/dhcp.script
index 90fa6d3..2030fd5 100755
--- a/package/network/config/netifd/files/lib/netifd/dhcp.script
+++ b/package/network/config/netifd/files/lib/netifd/dhcp.script
@@ -50,7 +50,10 @@ setup_interface () {
 		ip6rd="${ip6rd#* }"
 		local ip6rdbr="${ip6rd%% *}"
 
-		[ -n "$ZONE" ] || ZONE=$(fw3 -q network $INTERFACE)
+		[ -z "$ZONE" ] && {
+			[ -e '/sbin/fw3' ] && ZONE=$(fw3 -q network $INTERFACE)
+		}
+
 		[ -z "$IFACE6RD" -o "$IFACE6RD" = 1 ] && IFACE6RD=${INTERFACE}_6rd
 
 		json_init
-- 
1.7.10.4

